Subject: Re: [TLS] IANA Alert registry does not include ALPN alert

From: Sean Turner <[email-masked]>
Date: Tue, 6 Sep 2016 16:31:18 -0400

Will do.  Might not make the -00 version but we can add it as an issue to fix in -01.

spt

> On Aug 26, 2016, at 10:41, Eric Rescorla <[email-masked]> wrote:
> 
> I believe the chairs are preparing an IANA update RFC. We can cram it in there.
> 
> -Ekr
> 
> 
> On Fri, Aug 26, 2016 at 7:27 AM, Xiaoyin Liu <[email-masked]> wrote:
> I guess the reason is that this new alert is not mentioned in the IANA Considerations section in RFC7301. I don’t know how to fix it though.
> 
>  
> Best,
> 
> Xiaoyin
> 
>  
>  
>  
> From: Hubert Kario
> Sent: Friday, August 26, 2016 10:03
> To: [email-masked]
> Subject: [TLS] IANA Alert registry does not include ALPN alert
> 
>  
> The IANA TLS Alert Registry[1] does not include the 
> no_application_protocol(120) alert from RFC7301[2] (a.k.a. Application-Layer 
> Protocol Negotiation Extension)
> 
> What's the procedure to fix it?
> 
>  1 - https://www.iana.org/assignments/tls-parameters/tls-parameters.xhtml#tls-parameters-6
>  2 - https://tools.ietf.org/html/rfc7301#section-3.2
> -- 
> Regards,
> Hubert Kario
> Senior Quality Engineer, QE BaseOS Security team
> Web: www.cz.redhat.com
> Red Hat Czech s.r.o., Purkyňova 99/71, 612 45, Brno, Czech Republic
> 
> _______________________________________________
> TLS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tls
> 
> 
> _______________________________________________
> TLS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tls